> ## Documentation Index
> Fetch the complete documentation index at: https://docs-staging-fix-docs-5525.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 新規ユーザーを作成する

> ユーザーの資格情報と`connection`を指定すると、このエンドポイントは新規ユーザーを作成します。

`POST /dbconnections/signup`

ユーザーの資格情報と`connection`を指定すると、このエンドポイントは新規ユーザーを作成します。

このエンドポイントはデータベース接続でのみ機能します。

### 備考

* サンプルのauth0.jsスクリプトは、バージョン8のライブラリーを使用しています。auth0.jsバージョン7を使用している場合には、こちらの[リファレンスガイド](https://auth0.com/docs/ja-jp/libraries/auth0js/v7)を参照してください。

### 詳しい情報

* [Auth0データベース接続でのパスワードの強度](https://auth0.com/docs/ja-jp/authenticate/database-connections/password-strength)
* [Auth0データベース接続でのパスワードオプション](https://auth0.com/docs/ja-jp/authenticate/database-connections/password-options)
* [データベース接続のユーザー名の追加](https://auth0.com/docs/ja-jp/authenticate/database-connections/require-username)
* [メタデータの概要](https://auth0.com/docs/ja-jp/manage-users/user-accounts/metadata)

## Parameters

<ParamField body="client_id" type="string">
  クライアントの`client_id`です。
</ParamField>

<ParamField body="email" type="string">
  ユーザーのメールアドレスです。
</ParamField>

<ParamField body="password" type="string">
  ユーザーの希望するパスワードです。
</ParamField>

<ParamField body="phone_number" type="string">
  ユーザーの電話番号です。
</ParamField>

<ParamField body="connection" type="string">
  クライアントに構成されているデータベースの名前です。
</ParamField>

<ParamField body="username" type="string">
  ユーザーのユーザー名です。接続にユーザー名が必要な場合にのみ有効です。
</ParamField>

<ParamField body="given_name" type="string">
  ユーザーの名です。
</ParamField>

<ParamField body="family_name" type="string">
  ユーザーの姓です。
</ParamField>

<ParamField body="name" type="string">
  ユーザーのフルネームです。
</ParamField>

<ParamField body="nickname" type="string">
  ユーザーのニックネームです。
</ParamField>

<ParamField body="picture" type="string">
  ユーザーの写真を指すURIです。
</ParamField>

<ParamField body="user_metadata" type="object">
  ユーザーに紐づけられるユーザーメタデータです。設定する場合、フィールドは10個以下のプロパティを含むオブジェクトでなければなりません。プロパティ名は100文字以内で、プロパティ値は500文字以内の文字列でなければなりません。
</ParamField>

## Response

| Status | Description                |
| ------ | -------------------------- |
| 200    | ユーザーが正常に作成されました            |
| 400    | 不正な要求です。パラメーターが欠けているか無効です。 |
| 409    | 競合しています。ユーザーがすでに存在しています。   |
